zipios::GZIPOutputStreambuf Class Reference

GZIPOutputStreambuf is a zip output streambuf filter. More...

`#include <gzipoutputstreambuf.h>`

Inheritance diagram for zipios::GZIPOutputStreambuf:
[legend]

## Public Member Functions

| GZIPOutputStreambuf (streambuf *outbuf, bool del_outbuf=false)
| GZIPOutputStreambuf constructor.
void | setFilename (const string &filename)
void | setComment (const string &comment)
void | close ()
| Calls finish.
void | finish ()
| Finishes the compression.
virtual | ~GZIPOutputStreambuf ()
| Destructor.
Public Member Functions inherited from zipios::DeflateOutputStreambuf
| DeflateOutputStreambuf (streambuf *outbuf, bool user_init=false, bool del_outbuf=false)
| DeflateOutputStreambuf constructor.
virtual | ~DeflateOutputStreambuf ()
| Destructor.
bool | init (int comp_level=6)
bool | closeStream ()
uint32 | getCrc32 () const
| Returns the CRC32 for the current stream.
uint32 | getCount () const
| Returns the number of bytes written to the streambuf, that has been processed from the input buffer by the compressor.
Public Member Functions inherited from zipios::FilterOutputStreambuf
| FilterOutputStreambuf (streambuf *outbuf, bool del_outbuf=false)
| Constructor.
virtual | ~FilterOutputStreambuf ()
| Destructor.

## Protected Member Functions

virtual int | overflow (int c=EOF)
virtual int | sync ()
Protected Member Functions inherited from zipios::DeflateOutputStreambuf
bool | flushOutvec ()
| Flushes _outvec and updates _zs.next_out and _zs.avail_out.
void | endDeflation ()
| Flushes the remaining data in the zlib buffers, after which the only possible operations are deflateEnd() or deflateReset().

## Additional Inherited Members

Protected Attributes inherited from zipios::DeflateOutputStreambuf
const int | _invecsize
vector< char > | _invec
const int | _outvecsize
vector< char > | _outvec
uint32 | _crc32
uint32 | _overflown_bytes
Protected Attributes inherited from zipios::FilterOutputStreambuf
streambuf * | _outbuf
bool | _del_outbuf

## Detailed Description

GZIPOutputStreambuf is a zip output streambuf filter.

Definition at line 15 of file gzipoutputstreambuf.h.

## Constructor & Destructor Documentation

## GZIPOutputStreambuf()

zipios::GZIPOutputStreambuf::GZIPOutputStreambuf | ( | streambuf * | outbuf,
|  | bool | del_outbuf = false )

explicit

GZIPOutputStreambuf constructor.

A newly constructed GZIPOutputStreambuf is ready to accept data.

Parameters

  outbuf | the streambuf to use for output.
  del_outbuf | if true is specified outbuf will be deleted, when the GZIPOutputStreambuf is destructed.

Definition at line 19 of file gzipoutputstreambuf.cpp.

## ~GZIPOutputStreambuf()

zipios::GZIPOutputStreambuf::~GZIPOutputStreambuf | ( |  | ) |

virtual

Destructor.

Definition at line 47 of file gzipoutputstreambuf.cpp.

## Member Function Documentation

## close()

void zipios::GZIPOutputStreambuf::close | ( |  | ) |

Calls finish.

Definition at line 33 of file gzipoutputstreambuf.cpp.

## finish()

void zipios::GZIPOutputStreambuf::finish | ( |  | ) |

Finishes the compression.

Definition at line 37 of file gzipoutputstreambuf.cpp.

## overflow()

int zipios::GZIPOutputStreambuf::overflow | ( | int | c = EOF | ) |

protected virtual

Reimplemented from zipios::DeflateOutputStreambuf.

Definition at line 51 of file gzipoutputstreambuf.cpp.

## setComment()

void zipios::GZIPOutputStreambuf::setComment | ( | const string & | comment | ) |

Definition at line 29 of file gzipoutputstreambuf.cpp.

## setFilename()

void zipios::GZIPOutputStreambuf::setFilename | ( | const string & | filename | ) |

Definition at line 25 of file gzipoutputstreambuf.cpp.

## sync()

int zipios::GZIPOutputStreambuf::sync | ( |  | ) |

protected virtual

Reimplemented from zipios::DeflateOutputStreambuf.

Definition at line 59 of file gzipoutputstreambuf.cpp.

The documentation for this class was generated from the following files:

- gzipoutputstreambuf.h
- gzipoutputstreambuf.cpp